# This file created by conda-build 3.19.2
# meta.yaml template originally from:
# /opt/recipe, last modified Wed Nov 11 07:32:10 2020
# ------------------------------------------------

package:
    name: r-saige
    version: 0.42.1
source:
    patches:
        - patches/0001-use-shared-libs-in-makevars.patch
        - patches/0003-fix-gettimeofday-import.patch
        - patches/0004-fix-paths-of-imported-libs-should-never-use-path.patch
    sha256: 9f11d71eedccc435dccb4fe941579e4150b0c8f3f7c12f8cff2e3f5fedf0fd33
    url: https://github.com/weizhouUMICH/SAIGE/archive/29d4426dd4ae62c50fa7ce96794ec302f9d44b1b.tar.gz
build:
    number: '0'
    rpaths:
        - lib/
        - lib/R/lib/
    string: r40h3b5519e_0
requirements:
    build:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - binutils_impl_linux-64 2.35 h18a2f87_9
        - binutils_linux-64 2.35 hc3fd857_29
        - gcc_impl_linux-64 7.5.0 hda68d29_13
        - gcc_linux-64 7.5.0 he2a3fca_29
        - gfortran_impl_linux-64 7.5.0 hfca37b7_17
        - gfortran_linux-64 7.5.0 ha081f1e_29
        - gxx_impl_linux-64 7.5.0 h64c220c_13
        - gxx_linux-64 7.5.0 h547f3ba_29
        - kernel-headers_linux-64 2.6.32 h77966d4_13
        - ld_impl_linux-64 2.35 h769bd43_9
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgfortran4 7.5.0 hae1eefd_17
        - libgomp 9.3.0 h5dbcf3e_17
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - sysroot_linux-64 2.12 h77966d4_13
    host:
        - _libgcc_mutex 0.1 conda_forge
        - _openmp_mutex 4.5 1_gnu
        - _r-mutex 1.0.1 anacondar_1
        - bgenix 1.1.4 h75e5b7a_3
        - binutils_impl_linux-64 2.35 h18a2f87_9
        - binutils_linux-64 2.35 hc3fd857_29
        - boost-cpp 1.70.0 h7b93d67_3
        - bwidget 1.9.14 ha770c72_0
        - bzip2 1.0.8 h516909a_3
        - c-ares 1.16.1 h516909a_3
        - ca-certificates 2020.6.20 hecda079_0
        - cairo 1.16.0 h9f066cc_1006
        - curl 7.71.1 he644dc0_8
        - fontconfig 2.13.1 h7e3eb15_1002
        - freetype 2.10.4 h7ca028e_0
        - fribidi 1.0.10 h36c2ea0_0
        - gcc_impl_linux-64 7.5.0 hda68d29_13
        - gcc_linux-64 7.5.0 he2a3fca_29
        - gettext 0.19.8.1 hf34092f_1004
        - gfortran_impl_linux-64 7.5.0 hfca37b7_17
        - gfortran_linux-64 7.5.0 ha081f1e_29
        - graphite2 1.3.13 h58526e2_1001
        - gsl 2.6 hf94e986_0
        - gxx_impl_linux-64 7.5.0 h64c220c_13
        - gxx_linux-64 7.5.0 h547f3ba_29
        - harfbuzz 2.7.2 hb1ce69c_1
        - htslib 1.10.2 hd3b49d5_1
        - icu 67.1 he1b5a44_0
        - jpeg 9d h36c2ea0_0
        - kernel-headers_linux-64 2.6.32 h77966d4_13
        - krb5 1.17.1 hfafb76e_3
        - ld_impl_linux-64 2.35 h769bd43_9
        - libblas 3.8.0 11_h6e990d7_netlib
        - libcblas 3.8.0 11_h6e990d7_netlib
        - libcurl 7.71.1 hcdd3856_8
        - libdeflate 1.6 h516909a_0
        - libedit 3.1.20191231 he28a2e2_2
        - libev 4.33 h516909a_1
        - libffi 3.2.1 he1b5a44_1007
        - libgcc-ng 9.3.0 h5dbcf3e_17
        - libgfortran-ng 7.5.0 hae1eefd_17
        - libgfortran4 7.5.0 hae1eefd_17
        - libglib 2.66.2 hbe7bbb4_0
        - libgomp 9.3.0 h5dbcf3e_17
        - libiconv 1.16 h516909a_0
        - liblapack 3.8.0 11_h6e990d7_netlib
        - libnghttp2 1.41.0 h8cfc5f6_2
        - libpng 1.6.37 h21135ba_2
        - libssh2 1.9.0 hab1572f_5
        - libstdcxx-ng 9.3.0 h2ae2ef3_17
        - libtiff 4.1.0 h4f3a223_6
        - libuuid 2.32.1 h14c3975_1000
        - libwebp-base 1.1.0 h36c2ea0_3
        - libxcb 1.13 h14c3975_1002
        - libxml2 2.9.10 h68273f3_2
        - lz4-c 1.9.2 he1b5a44_3
        - make 4.3 hd18ef5c_1
        - ncurses 6.2 h58526e2_3
        - openssl 1.1.1h h516909a_0
        - pango 1.42.4 h80147aa_5
        - pcre 8.44 he1b5a44_0
        - pcre2 10.35 h279444b_1
        - pixman 0.40.0 h36c2ea0_0
        - pthread-stubs 0.4 h14c3975_1001
        - r-askpass 1.1 r40hcdcec82_2
        - r-assertthat 0.2.1 r40h6115d3f_2
        - r-backports 1.2.0 r40h9e2df91_0
        - r-base 4.0.3 hd272fe0_2
        - r-base64enc 0.1_3 r40hcdcec82_1004
        - r-bh 1.72.0_3 r40h6115d3f_1
        - r-brew 1.0_6 r40h6115d3f_1003
        - r-brio 1.1.0 r40h9e2df91_1
        - r-callr 3.5.1 r40h142f84f_0
        - r-cli 2.1.0 r40h142f84f_0
        - r-clipr 0.7.1 r40h142f84f_0
        - r-commonmark 1.7 r40hcdcec82_1002
        - r-covr 3.5.1 r40h0357c0b_0
        - r-crayon 1.3.4 r40h6115d3f_1003
        - r-crosstalk 1.1.0.1 r40h6115d3f_1
        - r-curl 4.3 r40hcdcec82_1
        - r-data.table 1.13.2 r40h0eb13af_0
        - r-desc 1.2.0 r40h6115d3f_1003
        - r-devtools 2.3.2 r40h6115d3f_0
        - r-diffobj 0.3.2 r40h9e2df91_1
        - r-digest 0.6.27 r40h1b71b39_0
        - r-dt 0.16 r40h142f84f_0
        - r-ellipsis 0.3.1 r40hcdcec82_0
        - r-evaluate 0.14 r40h6115d3f_2
        - r-fansi 0.4.1 r40hcdcec82_1
        - r-fs 1.5.0 r40h0357c0b_0
        - r-getopt 1.20.3 r40_2
        - r-gh 1.1.0 r40h6115d3f_1
        - r-git2r 0.27.1 r40h7253d3a_0
        - r-glue 1.4.2 r40hcdcec82_0
        - r-highr 0.8 r40h6115d3f_2
        - r-htmltools 0.5.0 r40h0357c0b_0
        - r-htmlwidgets 1.5.2 r40h142f84f_0
        - r-httr 1.4.2 r40h6115d3f_0
        - r-ini 0.3.1 r40h6115d3f_1003
        - r-jsonlite 1.7.1 r40hcdcec82_0
        - r-knitr 1.30 r40h6115d3f_0
        - r-later 1.1.0.1 r40h0357c0b_0
        - r-lattice 0.20_41 r40hcdcec82_2
        - r-lazyeval 0.2.2 r40hcdcec82_2
        - r-lifecycle 0.2.0 r40h6115d3f_1
        - r-magrittr 1.5 r40h6115d3f_1003
        - r-markdown 1.1 r40hcdcec82_1
        - r-matrix 1.2_18 r40h7fa42b6_3
        - r-memoise 1.1.0 r40h6115d3f_1004
        - r-metaskat 0.80 r40he524a50_1
        - r-mime 0.9 r40hcdcec82_1
        - r-openssl 1.4.3 r40he5c4762_0
        - r-optparse 1.6.6 r40h6115d3f_1
        - r-pillar 1.4.6 r40h6115d3f_0
        - r-pkgbuild 1.1.0 r40h6115d3f_0
        - r-pkgconfig 2.0.3 r40h6115d3f_1
        - r-pkgload 1.1.0 r40h0357c0b_0
        - r-praise 1.0.0 r40h6115d3f_1004
        - r-prettyunits 1.1.1 r40h6115d3f_1
        - r-processx 3.4.4 r40hcdcec82_0
        - r-promises 1.1.1 r40h0357c0b_0
        - r-ps 1.4.0 r40h0eb13af_0
        - r-purrr 0.3.4 r40hcdcec82_1
        - r-r6 2.5.0 r40hc72bb7e_0
        - r-rcmdcheck 1.3.3 r40h6115d3f_3
        - r-rcpp 1.0.4.6 r40h0357c0b_1
        - r-rcpparmadillo 0.10.1.0.0 r40h87dd93f_0
        - r-rcppeigen 0.3.3.7.0 r40h51c796c_2
        - r-rcppparallel 5.0.2 r40h0357c0b_0
        - r-rematch2 2.1.2 r40h6115d3f_1
        - r-remotes 2.2.0 r40h6115d3f_0
        - r-rex 1.2.0 r40h6115d3f_1
        - r-rlang 0.4.8 r40h9e2df91_0
        - r-roxygen2 7.1.1 r40h0357c0b_0
        - r-rprojroot 1.3_2 r40h6115d3f_1003
        - r-rstudioapi 0.11 r40h6115d3f_1
        - r-rversions 2.0.2 r40h6115d3f_0
        - r-sessioninfo 1.1.1 r40h6115d3f_1002
        - r-skat 2.0.1 r40h1b71b39_0
        - r-spatest 3.1.2 r40hc72bb7e_0
        - r-stringi 1.5.3 r40h604b29c_0
        - r-stringr 1.4.0 r40h6115d3f_2
        - r-sys 3.4 r40hcdcec82_0
        - r-testthat 3.0.0 r40he524a50_0
        - r-tibble 3.0.4 r40h0eb13af_0
        - r-usethis 1.6.3 r40h6115d3f_0
        - r-utf8 1.1.4 r40hcdcec82_1003
        - r-vctrs 0.3.4 r40hcdcec82_0
        - r-waldo 0.2.2 r40hc72bb7e_0
        - r-whisker 0.4 r40h6115d3f_1
        - r-withr 2.3.0 r40h6115d3f_0
        - r-xfun 0.19 r40h9e2df91_0
        - r-xml2 1.3.2 r40h0357c0b_1
        - r-xopen 1.0.0 r40h6115d3f_1003
        - r-yaml 2.2.1 r40hcdcec82_1
        - r-zeallot 0.1.0 r40h6115d3f_1002
        - readline 8.0 he28a2e2_2
        - savvy 1.3.0 h0808e92_0
        - sed 4.8 hbfbb72e_0
        - shrinkwrap 1.0.0 ha3df0b6_0
        - sqlite 3.33.0 h4cf870e_1
        - superlu 5.2.2 hfe2efc7_0
        - sysroot_linux-64 2.12 h77966d4_13
        - tk 8.6.10 hed695b0_1
        - tktable 2.10 hb7b940f_3
        - xorg-kbproto 1.0.7 h14c3975_1002
        - xorg-libice 1.0.10 h516909a_0
        - xorg-libsm 1.2.3 h84519dc_1000
        - xorg-libx11 1.6.12 h516909a_0
        - xorg-libxau 1.0.9 h14c3975_0
        - xorg-libxdmcp 1.1.3 h516909a_0
        - xorg-libxext 1.3.4 h516909a_0
        - xorg-libxrender 0.9.10 h516909a_1002
        - xorg-renderproto 0.11.1 h14c3975_1002
        - xorg-xextproto 7.3.0 h14c3975_1002
        - xorg-xproto 7.0.31 h14c3975_1007
        - xz 5.2.5 h516909a_1
        - zlib 1.2.11 h516909a_1010
        - zstd 1.4.5 h6597ccf_2
    run:
        - bgenix 1.1.4.*
        - boost-cpp >=1.70.0,<1.70.1.0a0
        - libblas >=3.8.0,<4.0a0
        - libgcc-ng >=7.5.0
        - libgfortran-ng
        - libgfortran4 >=7.5.0
        - liblapack >=3.8.0,<4.0a0
        - libstdcxx-ng >=7.5.0
        - r-base >=4.0,<4.1.0a0 *
        - r-data.table
        - r-matrix
        - r-optparse
        - r-rcpp
        - r-rcppparallel
        - savvy
        - sqlite >=3.33.0,<4.0a0
        - zlib >=1.2.11,<1.3.0a0
        - zstd >=1.4.5,<1.5.0a0
test:
    commands:
        - $R -e "library('SAIGE')"
        - step1_fitNULLGLMM.R --help
        - step2_SPAtests.R --help
        - createSparseGRM.R --help
about:
    description: 'SAIGE is an R package with Scalable and Accurate Implementation
        of Generalized

        mixed model (Chen, H. et al. 2016). It accounts for sample relatedness and
        is

        feasible for genetic association tests in large cohorts and biobanks (N >
        400000).

        '
    dev_url: https://github.com/weizhouUMICH/SAIGE
    home: https://github.com/weizhouUMICH/SAIGE
    license: GNU GPL
    license_family: GPL3
    license_file: LICENSE
    summary: SAIGE is an R package with Scalable and Accurate Implementation of Generalized
        mixed model (Chen, H. et al. 2016)
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - matuskosut
